Page MenuHomePhabricator

[CUDA] Regression test to make sure C++ include path are forwarded to host and device frontends.
ClosedPublic

Authored by sfantao on Jul 28 2016, 4:22 PM.

Diff Detail

Event Timeline

sfantao updated this revision to Diff 66051.Jul 28 2016, 4:22 PM
sfantao retitled this revision from to [CUDA] Regression test to make sure C++ include path are forwarded to host and device frontends..
sfantao updated this object.
sfantao added a reviewer: tra.
sfantao added a subscriber: cfe-commits.

Friendly ping.

Thanks!

tra edited edge metadata.Aug 8 2016, 1:18 PM

cuda-detect.cu may be a better place for this test.

test/Driver/cuda-simple.cu
27 ↗(On Diff #66051)

Linker match pattern will cause problems on windows. We normally use ld{{.*}}" .

Linker options are irrelevant here, IMO, as this line is only used as a marker for the end of the list of commands produced by compiler.

sfantao updated this revision to Diff 67335.Aug 9 2016, 7:07 AM
sfantao marked an inline comment as done.
sfantao edited edge metadata.
  • Move CUDA C++ include path tests to cuda-detect.cu. Address other Art's comments.
tra added inline comments.Aug 9 2016, 10:03 AM
test/Driver/cuda-detect.cu
75–77

These two lines seem to be copy-pasted from cuda-simple.cu by mistake.

sfantao updated this revision to Diff 67366.Aug 9 2016, 10:20 AM
sfantao marked an inline comment as done.
  • Remove redundant test - copied by mistake.
test/Driver/cuda-detect.cu
75–77

Woops... Sorry about that. Fixed in the last diff.

tra accepted this revision.Aug 9 2016, 10:29 AM
tra edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Aug 9 2016, 10:29 AM
sfantao closed this revision.Aug 9 2016, 10:35 AM